indexing
   title:       "GERMAN_TIME_TOOLS"
   cluster:     "timedate [timedate]";
   project:     "The Universal Time & Date UTDC";
   copyright:   "SIG Computer, 1995";
   author:      "Alexei Simonov (alex@eiffel.ru)";
   approved_by: "Frieder Monninger";
   original:    22,Sep,95
   version:     "1.0"
   done_at:     "SIG Computer (info@eiffel.ru)";
   license:     "GNU Library GPL - see included readme file";
   extrnl_name: "timegem.e";

class GERMAN_TIME_TOOLS

   inherit
      TIME_TOOLS
         redefine
            days,
            monthes
         end;

   feature { NONE }

      days : ARRAY [ STRING ] is
         once
            Result := <<
               "MONTAG",
               "DIENSTAG",
               "MITTWOCH",
               "DONNERSTAG",
               "FREITAG",
               "SAMSTAG",
               "SONNTAG"
            >>;
         end -- days

      monthes : ARRAY [ STRING ] is
         once
            Result := <<
               "JANUAR",
               "FEBRUAR",
               "MRZ",
               "APRIL",
               "MAI",
               "JUNI",
               "JULI",
               "AUGUST",
               "SEPTEMBER",
               "OKTOBER",
               "NOVEMBER",
               "DEZEMBER"
            >>;
         end -- monthes

end -- class GERMAN_TIME_TOOLS
